

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from login where nivel='Cobrador'") or die(mysql_error());
        
        //$sql_cartera = mysql_query("select * from cartera where estado_cartera='1' order by nombre asc") or die(mysql_error());
	?>
<style>
th,td{
	@font-size:18px;
}

th{
	text-align:center;
}
</style>

<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:18px;
  }
</style>

<div class="container" style="background:white; padding:15px"> 
 <div class="row">
    
      <div class="col-md-12">
 
				        <a class="btn  btn-orange mb-2 " href="javascript:void(0)" onClick="modalUsuario()"><i class="fa fa-plus"></i><b> Registrar un nuevo Cobrador</b></a><br>


	   <script type="text/javascript">
          function modalUsuario(){
            $("#modalUsuario").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>
        <div class="table-responsive mt-2">
          <table class="table">
           
              <th width="100"># Usuario</th>
              <th>Nombre/Apell. </th>

             
            
              <th width="45">Opciones</th>
           
            <tbody>
           <?php while($r=mysql_fetch_array($sql)){
             $usuario = $r["nombre_completo"];
            ?>
              <tr>
                <td><?php echo $r["id_usuario"]?></td>
                <td><?php echo $r["nombre_completo"]?></td>

               <td ><a class="btn btn-orange mb-2" href="#modalUsuario" data-toggle="modal" onClick='ver(<?php echo $r["id_usuario"]?>)'><i class="fa fa-edit"></i> Editar</a></td>
               <td ><a class="btn btn-verde mb-2" href="../rutas/rutas_cobrador.php?usuario=<?php echo $usuario?>" ><i class="bi bi-map"></i> Asignar rutas</a></td>
              </tr>
                                                        <?php }?>
            </tbody>
          </table>

	    </div>
		 </div>
		  </div>
    </div>
</div>
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalUsuario" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title text-rojo" id="exampleModalLabel"><i class="fa fa-w fa-key"></i><b> Registro de usaurio</b></h3>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			
  <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre completo</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="nombre2" name="nombre2" value="">
          </div>
   </div>
   
   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Telefono</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="telefono" name="telefono" value="">
          </div>
   </div>

		
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Id usuario</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="nombre" name="nombre" value="">
          </div>
        </div>
			  
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Clave</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="clave" name="clave" value="">
          </div>
        </div>

        <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" ><strong>Activo</strong></label>
          <div class="col-sm-1">
            <input autocomplete="off" type="checkbox"  id="estado" name="estado" value="1" class="mt-2">
          </div>
        </div>
  <br>
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label">Nivel</label>
          <div class="col-sm-9">
            <input type="text" class="form-control" id="nivel"  readonly>
          </div>
    
        </div>
		<br>
		 <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" ><strong>Comision</strong></label>
          <div class="col-sm-4">
             <input autocomplete="off" type="text"  class="form-control mb-2" id="comision" name="comision">
          </div>
        </div>
  

         <div class="row mt-2">
    <label for="cedula" class="col-sm-3 col-form-label" >Ruta</label>
        <div class="col-sm-9">
    
        <select class="form-control" id="ruta" style="font-size:14px">

    <option value="" selected></option>
    <?php $sql2 = mysql_query("select * from rutas") ?>

    <?php while ($r = mysql_fetch_array($sql2)) { ?>
      <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?> <?php echo $r['zona'] ?></option>
    <?php } ?>
    </select>
    </div>
</div>
          
			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-orange" type="button" onclick="grabar_usuario()"><i class="bi bi-save"></i><b> Grabar</b></button>

                  <button class="btn btn-default" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_usuario="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from login where id_usuario='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_usuario= rs.data[i].id_usuario;             
                    $("#nombre").val(rs.data[i].nombre);
				      	$("#nombre2").val(rs.data[i].nombre_completo);
					      $("#telefono").val(rs.data[i].telefono);
                    $("#clave").val(rs.data[i].clave);
                    $("#comision").val(rs.data[i].comision);
                    $("#nivel").val(rs.data[i].nivel);
                    $("#id").val(rs.data[i].id_usuario);
                    var estado = (rs.data[i].estado_usuario)
                    var ruta = (rs.data[i].ruta)
                   /*
				   if(estado=="1"){  
                      $("#estado").prop("checked",true);
                      }else{
                        $("#estado").prop("checked",false);
                      }
					 */
                  
                    $("#ruta option[value='"+rs.data[i].ruta+"']").prop('selected', true);
                  
                    ///$("#cartera option[value='"+rs.data[i].cartera+"']").prop('selected', true);
                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_usuario(){
     if(!confirm("Seguro(a) que desea registrar este usuario?")){return;}                   
    
     var nombre = $("#nombre").val();
	 var nombre2 = $("#nombre2").val();
	 var telefono = $("#telefono").val();
     //var cartera = $("#cartera").val();
     var clave = $("#clave").val();
     var nivel = $("#nivel").val();
     var estado = $("#estado").val();
     var ruta = $("#ruta").val();
     var comision = $("#comision").val();
     id_usuario = $("#id").val();
     ///if( $('#estado').prop('checked') ) {
    /////   estado="1";
   //// }else{
      estado="0";
   //// }



     if(clave=="" || nombre=="" || nombre2=="" || telefono==""){msg('Faltan datos'); return}
    var sql="";                            
        if(id_usuario==""){
            sql="INSERT INTO login set ";
            sql+="nombre='"+nombre+"'";
            sql+=", ruta='"+ruta+"'";
			      sql+=", nombre_completo='"+nombre2+"'";
			      sql+=", telefono='"+telefono+"'";
            sql+=", clave='"+clave+"'";
            sql+=", nivel='Cobrador'";
            sql+=", comision='"+comision+"'";
            //sql+=", cartera='"+cartera+"'";
            ///sql+=", estado_usuario='"+estado+"'"; 
           

        }else{
            sql="UPDATE login set";
            sql+=" nombre='"+nombre+"'";
            sql+=", ruta='"+ruta+"'";
			      sql+=", nombre_completo='"+nombre2+"'";
			      sql+=", telefono='"+telefono+"'";
            sql+=", clave='"+clave+"'";
            sql+=", nivel='Cobrador'";
            sql+=", comision='"+comision+"'";
            ///sql+=", cartera='"+cartera+"'";
           /// sql+=", estado_usuario='"+estado+"'"; 
            sql+=" WHERE id_usuario='"+id_usuario+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalUsuario").modal('hide');
        noti("success","Registro grabado con exito","success");
        $("#delete").hide();
        dstry();
        
		
		if(nivel=="Vendedor" && id_usuario==""){
			grabar_cliente(nombre2, telefono)
		}
		
		if(nivel=="Vendedor" && id_usuario!=""){
			update_cliente(nombre2, telefono)
		}
		
		id_usuario="";
       

      }else{
          alert(data);
          
      }
	   setTimeout(function(){window.location.reload()},1000)
        $("#loading").modal('hide');
		
    })
}
  

 function borrar(){
  
     if(id_usuario==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from login where id_usuario='"+id_usuario+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalUsuario").modal('hide');
        noti("success","Registro eliminado con exito","Ok");
        $("#delete").hide();
        dstry();
        id_usuario="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



 function grabar_cliente(nombre, telefono){
    var sql="";
       
            sql="INSERT INTO clientes set ";
            sql+=" telefono='"+telefono+"'";
			sql+=", nombre='"+nombre+"'";
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
	          
               get_ultimo();

      }else{
          alert(data);

      }

    })
}


 function update_cliente(nombre, telefono){
    var sql="";
       
            sql="update clientes set ";
            sql+=" telefono='"+telefono+"'";
			sql+=", nombre='"+nombre+"'";
			sql+=" WHERE nombre='"+nombre+"'";
			
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
	          
               get_ultimo();

      }else{
          alert(data);

      }

    })
}


            ///$(".table").DataTable();
         
        </script>

